package com.hdkj.lt.core.sys.model.dto;

import java.util.Objects;

/**
 * @author zhuangqixin
 */
public class UnitDto {
    /**
     * 所属单位编码
     */
    private String unitCode;
    /**
     * 所属单位名称
     */
    private String unitName;

    /**
     * 专业编码
     */
    private String majorCode;

    /**
     * 专业管理员
     */
    private String leaderId;

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public String getMajorCode() {
        return majorCode;
    }

    public void setMajorCode(String majorCode) {
        this.majorCode = majorCode;
    }

    public String getLeaderId() {
        return leaderId;
    }

    public void setLeaderId(String leaderId) {
        this.leaderId = leaderId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        UnitDto unitDto = (UnitDto) o;
        return Objects.equals(unitCode, unitDto.unitCode) && Objects.equals(unitName, unitDto.unitName) && Objects.equals(majorCode, unitDto.majorCode) && Objects.equals(leaderId, unitDto.leaderId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(unitCode, unitName, majorCode, leaderId);
    }

}
